Bug 12764 - gmc/mc not designed with NFS in mind
gmc/mc not designed with NFS in mind
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gmc (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-20 13:02 EDT by Ben Poliakoff
Modified: 2013-04-02 00:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-14 01:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Poliakoff 2000-06-20 13:02:16 EDT
There doesn't seem to be a way to keep gmc/mc from "stat"ing an NFS mounted
/home directory.  This slows down operations tremendously in an
organization with about 2500 user directories in /home.  

Every time I invoke the file browser, gmc scans the parent directory of my
home directory (i.e. /home). Once the initial scan is done gmc calms down a
bit, but then if I use the file browser to view the contents of a
subdirectory, then gmc "stat"s the whole /home tree all over again.  

Here's an example from running strace on the pid of gmc:

stat("/home/robinsoc", {st_mode=S_IFDIR|0755, st_size=512, ...}) = 0
stat("/home/robinsok", {st_mode=S_IFDIR|0755, st_size=512, ...}) = 0
stat("/home/robinsom", {st_mode=S_IFDIR|0755, st_size=512, ...}) = 0
stat("/home/robinsor", {st_mode=S_IFDIR|0755, st_size=512, ...}) = 0
stat("/home/robitaij", {st_mode=S_IFDIR|0755, st_size=512, ...}) = 0
stat("/home/robsonj", {st_mode=S_IFDIR|0755, st_size=512, ...}) = 0
stat("/home/rodeh", {st_mode=S_IFDIR|0755, st_size=512, ...}) = 0
stat("/home/roehld", {st_mode=S_IFDIR|0755, st_size=512, ...}) = 0
stat("/home/roggec", {st_mode=S_IFDIR|0755, st_size=512, ...}) = 0
stat("/home/roles", {st_mode=S_IFDIR|0755, st_size=512, ...}) = 0
stat("/home/rolfed", {st_mode=S_IFDIR|0755, st_size=512, ...}) = 0

These stat() occur everytime I open a directory (within my home directory),
for example, when I open ~/bin.

I've seen the find_ignore_dirs variable in the mc man page, but that seems
to only impact "find" operations.  Perhaps I'm missing something?

I'm running the following:
mc-4.5.42-10
gmc-4.5.42-10

The system is a vanilla rh 6.2 install.
Comment 1 Seth Vidal 2000-07-14 01:53:33 EDT
fix for this one:
I had the same problem:
look in /etc/mc.global 
edit the [Special dirs] section and append  your home dir to the list of dirs
there
mc does a tree of anything which is NOT in this list.
yes its dumb.
no its not redhat's fault.

but this fixes it.
and it makes gmc actually FAST

Comment 2 Jonathan Blandford 2000-07-17 14:40:56 EDT
This is indeed the correct fix.  GMC has a limitted lifespan, anyway, so
hopefully it will be better handled in nautilus.

Note You need to log in before you can comment on or make changes to this bug.